Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config
Class ProblemBenchmarksConfig

    java.lang.Object
      org.optaplanner.benchmark.config.ProblemBenchmarksConfig

    public class ProblemBenchmarksConfig

extends Object

Constructor Summary
`ProblemBenchmarksConfig()`

Method Summary
`void` | `buildProblemBenchmarkList(SolverBenchmarkResult solverBenchmarkResult)`
`List<File>` | `getInputSolutionFileList()`
`List<ProblemStatisticType>` | `getProblemStatisticTypeList()`
`List<SingleStatisticType>` | `getSingleStatisticTypeList()`
`Class<SolutionFileIO>` | `getSolutionFileIOClass()`
`Boolean` | `getWriteOutputSolutionEnabled()`
`List<Class>` | `getXStreamAnnotatedClassList()`
`void` | `inherit(ProblemBenchmarksConfig inheritedConfig)`
`void` | `setInputSolutionFileList(List<File> inputSolutionFileList)`
`void` | `setProblemStatisticTypeList(List<ProblemStatisticType> problemStatisticTypeList)`
`void` | `setSingleStatisticTypeList(List<SingleStatisticType> singleStatisticTypeList)`
`void` | `setSolutionFileIOClass(Class<SolutionFileIO> solutionFileIOClass)`
`void` | `setWriteOutputSolutionEnabled(Boolean writeOutputSolutionEnabled)`
`void` | `setXStreamAnnotatedClassList(List<Class> xStreamAnnotatedClassList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemBenchmarksConfig

    public ProblemBenchmarksConfig()

Method Detail

### getSolutionFileIOClass

    public Class<SolutionFileIO> getSolutionFileIOClass()

### setSolutionFileIOClass

    public void setSolutionFileIOClass(Class<SolutionFileIO> solutionFileIOClass)

### getXStreamAnnotatedClassList

    public List<Class> getXStreamAnnotatedClassList()

### setXStreamAnnotatedClassList

    public void setXStreamAnnotatedClassList(List<Class> xStreamAnnotatedClassList)

### getWriteOutputSolutionEnabled

    public Boolean getWriteOutputSolutionEnabled()

### setWriteOutputSolutionEnabled

    public void setWriteOutputSolutionEnabled(Boolean writeOutputSolutionEnabled)

### getInputSolutionFileList

    public List<File> getInputSolutionFileList()

### setInputSolutionFileList

    public void setInputSolutionFileList(List<File> inputSolutionFileList)

### getProblemStatisticTypeList

    public List<ProblemStatisticType> getProblemStatisticTypeList()

### setProblemStatisticTypeList

    public void setProblemStatisticTypeList(List<ProblemStatisticType> problemStatisticTypeList)

### getSingleStatisticTypeList

    public List<SingleStatisticType> getSingleStatisticTypeList()

### setSingleStatisticTypeList

    public void setSingleStatisticTypeList(List<SingleStatisticType> singleStatisticTypeList)

### buildProblemBenchmarkList

    public void buildProblemBenchmarkList(SolverBenchmarkResult solverBenchmarkResult)

### inherit

    public void inherit(ProblemBenchmarksConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.